> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of a specific table in a catalog

> Get details of a specific table in a catalog.



## OpenAPI

````yaml get /api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/details
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/details:
    get:
      tags:
        - Metastore
      summary: Get details of a specific table in a catalog
      description: Get details of a specific table in a catalog.
      operationId: >-
        get_table_details_api_metastore_catalogs__catalog_name__schemas__schema_name__tables__table_name__details_get
      parameters:
        - name: catalog_name
          in: path
          required: true
          schema:
            type: string
            description: Catalog name.
            title: Catalog Name
          description: Catalog name.
        - name: schema_name
          in: path
          required: true
          schema:
            type: string
            description: Schema name.
            title: Schema Name
          description: Schema name.
        - name: table_name
          in: path
          required: true
          schema:
            type: string
            description: Table name.
            title: Table Name
          description: Table name.
      responses:
        '200':
          description: Data retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TableDetailsResponse:
      properties:
        table:
          $ref: '#/components/schemas/TableInfo'
          description: Table metadata details including columns and properties
      type: object
      required:
        - table
      title: TableDetailsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TableInfo:
      properties:
        table_name:
          type: string
          title: Table Name
          description: Name of the table
        columns:
          items:
            $ref: '#/components/schemas/ColumnDetailInfo'
          type: array
          title: Columns
          description: List of column details
        table_properties:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Table Properties
          description: Table properties if available
      type: object
      required:
        - table_name
        - columns
      title: TableInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ColumnDetailInfo:
      properties:
        name:
          type: string
          title: Name
          description: Column name
        type:
          type: string
          title: Type
          description: Column data type
        nullable:
          type: boolean
          title: Nullable
          description: Indicates if the column allows `NULL` values
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
          description: Column comment if available
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Column description from DataHub
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: Tags from DataHub
        glossary_terms:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Glossary Terms
          description: Glossary terms from DataHub
      type: object
      required:
        - name
        - type
        - nullable
      title: ColumnDetailInfo
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````